package com.persagy.server.syn.controllers

import com.persagy.server.syn.services.dict.DClassDefService
import com.persagy.service.models.responses.SBaseResponse
import io.swagger.annotations.Api
import io.swagger.annotations.ApiOperation
import org.springframework.web.bind.annotation.GetMapping
import org.springframework.web.bind.annotation.RequestMapping
import org.springframework.web.bind.annotation.RestController

/**
 * 字典
 *
 * @author  wx
 * @date  2020/9/10 10:00
 */
@Api(tags = ["字典-手动导入字典"])
@RestController
@RequestMapping("/dict")
class DictControllers {

    /**
     * 获取所有字典类型
     */
//    fun  dictAll() {
//
//    } // Fun dictAll()

    /**
     * 集团数据-存入数据中心
     */
    @ApiOperation(value = "001、集团数据-存入数据中心", notes = "",position = 1)
    @GetMapping(value = ["/group-info"])
    fun groupInfo(): SBaseResponse {
        return DClassDefService.groupQuerys()
    } // Fun groupInfo()

    /**
     * 集团下项目-存入数据中心
     */
    @ApiOperation(value = "002、集团下项目-存入数据中心", notes = "",position = 2)
    @GetMapping(value = ["/dict-project"])
    fun dictProject(): SBaseResponse{
        return DClassDefService.dictProject()
    } // Fun dictProject()

    /**
     * 平台字典
     */
    @ApiOperation(value = "003、平台字典对象类型-存入数据中心", notes = "",position = 2)
    @GetMapping(value = ["/dict-platform"])
    fun dictPlatform(): SBaseResponse{
        return DClassDefService.dictPlatform()
    } // Fun dictPlatform()

    /**
     * 平台字典 详细信息点
     */
    @ApiOperation(value = "004、平台字典对象信息点-存入数据中心", notes = "",position = 2)
    @GetMapping(value = ["/dict-platform-info"])
    fun dictPlatformInfo(): SBaseResponse {
        return DClassDefService.dictPlatformInfo()
    } // Fun dictPlatform()

    /**
     * 平台字典 专业
     */
    @ApiOperation(value = "005、平台字典专业-存入数据中心", notes = "",position = 2)
    @GetMapping(value = ["/dict-platform-major"])
    fun dictPlatformajor(): SBaseResponse {
        return DClassDefService.dictMajor()
    } // Fun dictPlatform()

    /**
     * 集团方案
     */
    @ApiOperation(value = "006、集团方案-存入数据中心", notes = "",position = 2)
    @GetMapping(value = ["/dict-scheme"])
    fun dictScheme(): SBaseResponse {
        return DClassDefService.dictGroupScheme()
    } // Fun dictPlatform()

    /**
     * 集团方案对象类型
     */
    @ApiOperation(value = "007、集团方案对象类型-存入数据中心", notes = "",position = 2)
    @GetMapping(value = ["/dict-scheme-category"])
    fun dictSchemeCategoty(): SBaseResponse {
        return DClassDefService.dictSchemeCategoty()
    } // Fun dictSchemeCategoty()

    /**
     * 集团方案对象类型
     */
    @ApiOperation(value = "008、集团方案对象的信息点-存入数据中心", notes = "",position = 2)
    @GetMapping(value = ["/dict-scheme-category-info"])
    fun dictSchemeCategotyInfo(): SBaseResponse {
        return DClassDefService.dictSchemeCategotyInfo()
    } // Fun dictSchemeCategoty()

    /**
     * 查询项目和方案的关系
     */
    @ApiOperation(value = "009、项目和方案的关系-存入数据中心", notes = "",position = 2)
    @GetMapping(value = ["/dict-scheme-project"])
    fun dictSchemeAndProject(): SBaseResponse{
        return DClassDefService.dictSchemeAndProject()
    } // Fun dictSchemeAndProject()

    /**
     * 集团字典-对象类型
     */
    @ApiOperation(value = "010、集团字典对象类型-存入数据中心", notes = "",position = 2)
    @GetMapping(value = ["/dict-group-category"])
    fun dictGroup(): SBaseResponse{
        return DClassDefService.dictGroup()
    } // Fun dictGroup()

    /**
     * 集团字典-对象信息点
     */
    @ApiOperation(value = "011、集团字典-对象信息点-存入数据中心", notes = "",position = 2)
    @GetMapping(value = ["/dict-group-info"])
    fun dictGroupInfo(): SBaseResponse{
        return DClassDefService.dictGroupInfo()
    } // Fun dictGroupInfo()

} // Class DictControllers